dcl_settings : default_dcl_settings { audit_level = 3 ; }

carton : dialog {
label = "Carton   v 1.0.1" ;
initial_focus = "acccept" ;

: boxed_column {
 : row {
  : image_button {
    key = "c1" ;
    width = 18 ;
    height = 6 ;
    fixed_width = true ;
  }
  : image_button {
    key = "c2" ;
    width = 18 ;
    height = 6 ;
    fixed_width = true ;
  }
  : image_button {
    key = "c3" ;
    width = 18 ;
    height = 6 ;
    fixed_width = true ;
  }
 }
 : row {
  : image_button {
    key = "c4" ;
    width = 18 ;
    height = 6 ;
    fixed_width = true ;
  }
  : image_button {
    key = "c5" ;
    width = 18 ;
    height = 6 ;
    fixed_width = true ;
  }
  : image_button {
    key = "c6" ;
    width = 18 ;
    height = 6 ;
    fixed_width = true ;
  }
 }
}

spacer_1 ;: button {
  label = "Close" ;
  key = "close" ;
  fixed_width = true ;
  is_default = true ;
  is_cancel =  true ;
  alignment = centered ;
}
}

//----------------------------//----------------------------

c1 : dialog {
label = "Carton   v 1.0.1" ;
//initial_focus = "

: row {

 : boxed_column {
   label = "Paper Size" ;
  : radio_row {
    alignment = left ;

      : radio_button {
        label = "Millimeters" ;
        key = "mmps" ;
        value = "1" ;
      }
      : radio_button {
        label = "Inches      ." ;
        key = "inps" ;
      }
   }

   : radio_row {
      alignment = left ;

      : radio_button {
        label = "KeyBoard Input" ;
        key = "KBS" ;  // KBS for KeyBoard for Sheet
        mnemonic = "K" ;
        value = "1" ;
      }

      : radio_button {
        label = "Select from list" ;
        key = "POPS" ;  // POPS for POPup for Sheet
        mnemonic = "S" ;
      }

   }

 : row {

  : column {

    : edit_box {
        label = "Length" ;
        key = "LS" ;
        alignment = left ;
        width = 10 ;
        fixed_width = true ;
        mnemonic = "L" ;
    }
    : edit_box {
        label = " Width:" ;
        key = "WS" ;
        alignment = left ;
        width =10 ;
        fixed_width = true ;
        mnemonic = "W" ;
    }
   }

   : column {

      : button {
        label = "Add to List   >>" ;
        key = "ad_list" ;
        alignment = centered ;
      }


   : popup_list {
      key = "al_list" ;
      mnemonic = "h" ;
      width = 30 ;
      height = 5 ;
      is_enabled = false ;
   }

  }
 }
}

  : row {

     : image {
        width = 31 ;
        key = "c11" ;
        aspect_ratio = 0.1 ;
        color = 250 ;
    }
  }
}

 : row {
  : boxed_column {
    label = "Carton Size" ;

    : radio_row {
      alignment = left ;

      : radio_button {
        label = "   Millimeters" ;
        key = "mmls" ;
        value = "1" ;
      }
      : radio_button {
        label = "Inches" ;
        key = "inls" ;
      }
    }
    : row {
     : edit_box {

        label = "Length" ;
        key = "LL" ;
        alignment = centered ;
        width = 4 ;
        edit_width = 4 ;
        fixed_width = true ;
        mnemonic = "e" ;
     }

     : edit_box {

        label = " Width:" ;
        key = "WL" ;
        alignment = centered ;
        width = 4 ;
        edit_width = 4 ;
        fixed_width = true ;
        mnemonic = "t" ;
      }
     : edit_box {

        label = " Thickness:" ;
        key = "TL" ;
        alignment = centered ;
        width = 4 ;
        edit_width = 4 ;
        fixed_width = true ;
        mnemonic = "n" ;
      }

    }

     : edit_box {

        label = "Title :" ;
        key = "title" ;
        alignment = centered ;
        width = 34 ;
        edit_width = 34 ;
     }
  }

  : boxed_column {

   label = "Sheet Margins" ;
   fixed_width = true ;

    : radio_row {
      alignment = left ;

      : radio_button {
        label = "   Millimeters" ;
        key = "mmsm" ;
        value = "1" ;
      }
      : radio_button {
        label = "Inches" ;
        key = "insm" ;
      }
    }

   : row {

      : edit_box {

        label = "Left   " ;
        key = "LEFT" ;
        alignment = centered ;
        width = 5 ;
        fixed_width = true ;
        edit_width = 5 ;
        mnemonic = "f" ;
      }
    : edit_box {

        label = "Top      " ;
        key = "TOP" ;
        alignment = centered ;
        width = 5 ;
        edit_width = 5 ;
        fixed_width = true ;
        mnemonic = "T" ;
     }
   }

   : row {
     : edit_box {

        label = "Right" ;
        key = "RIGHT" ;
        alignment = centered ;
        width = 5 ;
        edit_width = 5 ;
        fixed_width = true ;
        mnemonic = "g" ;
      }

      : edit_box {
        label = "Bottom" ;
        key = "BOTTOM" ;
        alignment = centered ;
        width = 5 ;
        edit_width = 5 ;
        fixed_width = true ;
      }
    }
  }
}

  ok_cancel_help ;

   : text {
     width = 50 ;
     key = "copyrite" ;
     alignment = centered ;
   }

}
